Gemstonemerchant::Engine.routes.draw do
  namespace :gemstonemerchant do
  get 'cart/show'
  end

  devise_for :users, {
  	class_name: "Gemstonemerchant::User",
  	module:  :devise
  }
  resources :products

  get "cart" => "cart#show"
  post "cart/add/:id" => "cart#add", :as => :add_to_cart
  post "cart/remove/:id" => "cart#remove", :as => :remove_from_cart


end
